Skip to content

setPickingListLineTrackedEntity

WRITE

Pick (or unpick) a tracked (serial/batch) lot for a picking line.

POST /api/v1/inventory/setPickingListLineTrackedEntity
curl -X POST '<your-host>/api/v1/inventory/setPickingListLineTrackedEntity' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "pickingListLineId": "string",
    "trackedEntityId": "string",
    "idempotencyKey": "string"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "pickingListLineId": {
      "type": "string"
    },
    "trackedEntityId": {
      "type": "string"
    },
    "fromStorageUnitId": {
      "type": [
        "string",
        "null"
      ]
    },
    "quantity": {
      "type": "number"
    },
    "unpick": {
      "type": "boolean"
    },
    "idempotencyKey": {
      "type": "string"
    }
  },
  "required": [
    "pickingListLineId",
    "trackedEntityId",
    "idempotencyKey"
  ]
}